Bug 88538 - Workflow names are not checked for uniqueness
Summary: Workflow names are not checked for uniqueness
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-10 19:06 UTC by Justin Ross
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-05 17:31:02 UTC


Attachments (Terms of Use)

Description Justin Ross 2003-04-10 19:06:37 UTC
Description of problem:

The CMS UI and domain model allow you to create workflows with identical names.

How reproducible:

Add a new workflow called "Production Workflow" in addition to the one that
already exists.

Actual results:

It succeeds.

Expected results:

It should balk and make the user change the name.

Comment 1 Justin Ross 2003-04-10 19:09:29 UTC
To amend this ticket: Content type names aren't unique checked either.  I'll fix
that as part of this ticket.

Comment 2 Jon Orris 2006-09-05 17:31:02 UTC
Closing old tickets





Note You need to log in before you can comment on or make changes to this bug.